/**
 * Copyright 2020 VMware, Inc.
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * <p>
 * https://www.apache.org/licenses/LICENSE-2.0
 * <p>
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package io.micrometer.core.instrument.binder.jvm;

import io.micrometer.core.instrument.simple.SimpleMeterRegistry;
import org.junit.jupiter.api.Test;

import static org.assertj.core.api.Assertions.assertThat;

/**
 * Tests for {@link JvmGcMetrics}.
 *
 * @author Johnny Lim
 */
class JvmGcMetricsTest {

    @Test
    void metersAreBound() {
        SimpleMeterRegistry registry = new SimpleMeterRegistry();
        JvmGcMetrics binder = new JvmGcMetrics();
        binder.bindTo(registry);
        assertThat(registry.find("jvm.gc.max.data.size").gauge()).isNotNull();
        assertThat(registry.find("jvm.gc.live.data.size").gauge()).isNotNull();
        assertThat(registry.find("jvm.gc.memory.promoted").counter()).isNotNull();
        assertThat(registry.find("jvm.gc.memory.allocated").counter()).isNotNull();
    }

}
